apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: trackers-mongo-depl
  labels:
    app: trackers-mongo
spec:
  replicas: 1
  serviceName: trackers-mongo
  selector:
    matchLabels:
      app: trackers-mongo
  template:
    metadata:
      labels:
        app: trackers-mongo
    spec:
      containers:
        - name: trackers-mongo
          image: mongo
          volumeMounts:
            - mountPath: '/data/db'
              name: trackers-mongo-storage
      volumes:
        - name: trackers-mongo-storage
          persistentVolumeClaim:
            claimName: trackers-mongo-pvc
---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: trackers-mongo-pvc
spec:
  storageClassName: do-block-storage
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
---
apiVersion: v1
kind: Service
metadata:
  name: trackers-mongo-srv
spec:
  selector:
    app: trackers-mongo
  ports:
    - port: 27017
      targetPort: 27017
      protocol: TCP
      name: mongodb